/global-networks/{globalNetworkId}/links/{linkId}
http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/links/{linkId}Updates the details for an existing link. To remove information for any of the parameters, specify an empty string.
Path Parameters
The ID of the global network.
The ID of the link.
Body Params
<p>The type of the link.</p> <p>Constraints: Maximum length of 128 characters.</p>
<p>The provider of the link.</p> <p>Constraints: Maximum length of 128 characters.</p>
Describes bandwidth information.
<p>A description of the link.</p> <p>Constraints: Maximum length of 256 characters.</p>
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/links/{linkId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}